Subject: Re: cygwin apps in pipe ignore ctrl+c FIX
From: Christopher Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 28 Apr 2001 19:50:27 -0400

On Sat, Apr 28, 2001 at 05:29:50PM -0400, Christopher Faylor wrote:
>#2 I will investigate the non-zero problem above.  I'll get some kind of
>   fix into Cygwin 1.3.2.

I've checked in a fix.

As I suspected, the pgid was not supposed to be zero in the case that you
had encountered.  Fixing this was rather tricky.

I wasn't 100% sure that there wouldn't be a case where the pgid == 0, so
I did add your patch to the sources, too, (with a ChangeLog acknowledgement).

Thank you again for tracking this down.

cgf

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple